TradePortfolio

Price Buckets

Dev

GET /markets/price-buckets


Histogram of symbols grouped into 9 buckets by 24h price change. Returns bucket labels, boundaries, count of symbols, and the list of symbols in each bucket. Use it to visualize how broadly bullish or bearish the current market is, or to feed a sentiment gauge.

Authentication

Requires Dev tier or higher.

Parameters

Query parameters

NameTypeRequiredDescription
exchangesstringComma-separated exchange filter.

Example request

bash
curl -H "X-Api-Key: lk_live_your_key_here" \
  https://api.loris.tools/markets/price-buckets

Example response

json
{
  "timestamp": "2026-06-08 06:00:00",
  "buckets": [
    {
      "label": ">10%",
      "min": 10,
      "max": null,
      "count": 142,
      "symbols": [
        "SOL",
        "DOGE",
        "WIF",
        "..."
      ]
    },
    {
      "label": "5–10%",
      "min": 5,
      "max": 10,
      "count": 218,
      "symbols": [
        "ETH",
        "BNB",
        "..."
      ]
    },
    {
      "label": "0–5%",
      "min": 0,
      "max": 5,
      "count": 487,
      "symbols": [
        "BTC",
        "XRP",
        "..."
      ]
    },
    {
      "label": "-5–0%",
      "min": -5,
      "max": 0,
      "count": 312,
      "symbols": [
        "LINK",
        "..."
      ]
    },
    {
      "label": "<-10%",
      "min": null,
      "max": -10,
      "count": 78,
      "symbols": [
        "..."
      ]
    }
  ]
}

Related